<?php
/**
 * Videography Filmmaker: Block Patterns
 *
 * @package Videography Filmmaker
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'videography-filmmaker',
		array( 'label' => __( 'Videography Filmmaker', 'videography-filmmaker' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'videography-filmmaker/banner-section',
		array(
			'title'      => __( 'Banner Section', 'videography-filmmaker' ),
			'categories' => array( 'videography-filmmaker' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/images/Slider-background.png\",\"id\":351,\"dimRatio\":0,\"align\":\"full\",\"className\":\"videography-filmmaker-banner-section py-5 px-5 \"} -->\n<div class=\"wp-block-cover alignfull videography-filmmaker-banner-section py-5 px-5\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-351\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/images/Slider-background.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"banner-heading-section\"} -->\n<div class=\"wp-block-columns banner-heading-section\"><!-- wp:column {\"width\":\"20%\",\"className\":\"first-column\"} -->\n<div class=\"wp-block-column first-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:group {\"className\":\"banner-heading-section\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group banner-heading-section\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h1 class=\"has-text-align-center\" style=\"font-size:40px\">Hey, We Are Professional Photo &amp; Videographer</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:15px\"><br>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-outline\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size is-style-outline has-small-font-size\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:0px\">Lets Talk</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\",\"className\":\"second-column\"} -->\n<div class=\"wp-block-column second-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"className\":\"banner-images-section \",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group banner-images-section\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":353,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/slider-image1.png\" alt=\"\" class=\"wp-image-353\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"textColor\":\"white\",\"className\":\"banner-numbering-section\"} -->\n<p class=\"banner-numbering-section has-white-color has-text-color\" style=\"font-size:35px\">01</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":355,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/slider-image2.png\" alt=\"\" class=\"wp-image-355\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"textColor\":\"white\",\"className\":\"banner-numbering-section\"} -->\n<p class=\"banner-numbering-section has-white-color has-text-color\" style=\"font-size:35px\">02</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":356,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/slider-image3.png\" alt=\"\" class=\"wp-image-356\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"textColor\":\"white\",\"className\":\"banner-numbering-section\"} -->\n<p class=\"banner-numbering-section has-white-color has-text-color\" style=\"font-size:35px\">03</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":357,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/slider-image4.png\" alt=\"\" class=\"wp-image-357\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"textColor\":\"white\",\"className\":\"banner-numbering-section\"} -->\n<p class=\"banner-numbering-section has-white-color has-text-color\" style=\"font-size:35px\">04</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'videography-filmmaker/product-section',
		array(
			'title'      => __( 'Product Section', 'videography-filmmaker' ),
			'categories' => array( 'videography-filmmaker' ),
			'content'    => "<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#222222\"}},\"className\":\"videography-filmmaker-services-section px-md-4\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull videography-filmmaker-services-section px-md-4 has-background\" style=\"background-color:#222222\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"32px\"}},\"textColor\":\"white\",\"className\":\"py-5\"} -->\n<h2 class=\"has-text-align-center py-5 has-white-color has-text-color\" style=\"font-size:32px\">Our Featured Services</h2>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"className\":\"services-images-section px-5\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group services-images-section px-5\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":409,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/services-image1.png\" alt=\"\" class=\"wp-image-409\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"className\":\"banner-numbering-section\"} -->\n<p class=\"has-text-align-center banner-numbering-section has-white-color has-text-color\" style=\"font-size:25px\">Event coverage</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":410,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/services-image2.png\" alt=\"\" class=\"wp-image-410\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"className\":\"banner-numbering-section\"} -->\n<p class=\"has-text-align-center banner-numbering-section has-white-color has-text-color\" style=\"font-size:25px\">Property Tours</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":411,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/services-image3.png\" alt=\"\" class=\"wp-image-411\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"className\":\"banner-numbering-section\"} -->\n<p class=\"has-text-align-center banner-numbering-section has-white-color has-text-color\" style=\"font-size:25px\">Photography</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":412,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/services-image4.png\" alt=\"\" class=\"wp-image-412\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"className\":\"banner-numbering-section\"} -->\n<p class=\"has-text-align-center banner-numbering-section has-white-color has-text-color\" style=\"font-size:25px\">360VR/Drone</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->",
		)
	);
}